#!/usr/bin/python
if __name__ == '__main__':
  import sys
  import os
  sys.path.insert(0, os.path.abspath('config'))
  import configure
  configure_options = [
    '--with-umfpack-lib=[libumfpack.so,libamd.so]',
    '--with-umfpack-include=/usr/include/suitesparse',
    '--with-mpi-shared=1',
    '--with-fiat-dir=/usr/lib/python2.6/site-packages',
    '--with-mpe-lib=[liblmpe.so,libmpe.so]',
    '--with-superlu-include=/usr/include',
    '--with-blocksolve95-dir=/usr',
    '--with-blocksolve95=1',
    '--with-spooles=1',
    '--with-mpe-include=/usr/include',
    '--with-host-cpu=x86_64',
    '--with-fftw=1',
    '--prefix=/usr',
    '--FC=mpif90',
    '--with-superlu-lib=[libtmglib.so,libsuperlu_4.0.so]',
    '--with-plapack-include=/usr/include/plapack',
    '--with-spooles-include=/usr/lib/spooles/include',
    '--with-fiat=1',
    '--with-superlu_dist-include=/usr/include/superlu_dist',
    '--with-tetgen-dir=/usr',
    '--with-parmetis-include=/usr/include/parmetis',
    '--with-scalapack-include=/usr/include',
    '--with-chaco=1',
    '--ignoreWarnings=0',
    '--with-debugger=gdb',
    '--ignoreCompileOutput=0',
    '--with-parmetis=1',
    '--FOPTFLAGS=-pipe -Wall -g -O2 -fPIC -DPIC -DPETSC_HAVE_MPE -I/usr/lib/petsc-complex/include/sieve -DPETSC_HAVE_NETCDF -I/usr/lib/openmpi/include/netcdf-3',
    '--with-fftw-lib=[libfftw3_mpi.so]',
    '--COPTFLAGS=-pipe -Wall -g -O2 -fPIC -DPIC -DPETSC_HAVE_MPE -I/usr/lib/petsc-complex/include/sieve -DPETSC_HAVE_NETCDF -I/usr/lib/openmpi/include/netcdf-3',
    '--with-superlu_dist=1',
    '--with-blocksolve95-arch=linux',
    '--with-clanguage=C++',
    '--with-blas-lapack-lib=[libxerbla.a,liblapack.so,libgoto2.so]',
    '--with-xt=1',
    '--with-sowing-dir=/usr',
    '--with-spooles-lib=[libspoolesMPI.so,libspooles.so]',
    '--with-boost=1',
    '--with-c2html=1',
    '--with-c2html-dir=/usr',
    '--with-superlu_dist-lib=libsuperlu_dist_2.4.so',
    '--with-triangle-lib=libtriangle.so',
    '--with-cproto-dir=/usr',
    '--with-scalapack=1',
    '--with-mpi-dir=/usr/lib/openmpi',
    '--with-timer=mpi',
    '--with-blocksolve95-bopt=O',
    '--CC=mpicc',
    '--with-superlu=1',
    '--search-dirs=/bin:/usr/bin:/usr/lib/openmpi/bin',
    '--with-plapack-lib=[libPLAPACK.so]',
    '--with-fftw-include=/usr/include/fftw3-mpi',
    '--with-tetgen=1',
    '--with-mpe=1',
    '--with-blacs=1',
    '--LIBS=-L/usr -L/usr/lib64/oski -llmpe -lmpe  ',
    '--with-umfpack=1',
    '--with-generator=/usr/lib64/python2.6/site-packages/petsc_config/Generator',
    '--with-is-color-value-type=char',
    '--with-blacs-lib=[libblacs.so]',
    '--with-parmetis-lib=[libparmetis.so]',
    '--with-debugging=yes',
    '--CXX=mpicxx',
    '--with-shared',
    '--with-boost-dir=/usr',
    '--with-blacs-include=/usr/include',
    '--with-triangle=1',
    '--with-scalapack-lib=[libscalapack.so,libblacs.so,libarpack_LINUX.so]',
    '--with-scalar-type=complex',
    '--with-sowing=1',
    'PETSC_ARCH=linux-gnu',
    '--with-cproto=1',
    '--with-plapack=1',
    '--with-alternatives=1',
    '--with-fortran-interfaces=1',
    '--with-triangle-include=/usr/include/triangle',
    '--CXXOPTFLAGS=-pipe -Wall -g -O2 -fPIC -DPIC -DPETSC_HAVE_MPE -I/usr/lib/petsc-complex/include/sieve -DPETSC_HAVE_NETCDF -I/usr/lib/openmpi/include/netcdf-3',
    '--with-chaco-dir=/usr',
  ]
  configure.petsc_configure(configure_options)
